Subject: [MLS] Notes on the abstract MLS Architecture

From: Benjamin Beurdouche <[email-masked]>
Date: Mon, 20 Jan 2020 12:46:35 +0100

Hi all, 

During the interim I presented an "abstract" MLS architecture through which
I was looking at the functional, security and privacy aspects of MLS.

Obviously it might look very different from the existing, or future, architectures
but I thought it was quite useful for Raphael and I to elaborate on potential questions
and solutions related to the server assist [0] functionality based on *some* design.

Since multiple participants at the interim asked me about the drawing, I uploaded my notes online [1].
These are just extremely informal wip notes for now but I intend to make them more formal and extend 
them with more and more information as we go, hopefully keeping track of the official WG documents [2][3][4]…

Best,
B.

[0] https://github.com/raphaelrobert/mls-delivery-service/blob/master/draft-robert-mls-delivery-service.md <https://github.com/raphaelrobert/mls-delivery-service/blob/master/draft-robert-mls-delivery-service.md>
[1] https://hal.inria.fr/hal-02439526/ <https://hal.inria.fr/hal-02439526/>
[2] https://github.com/mlswg/mls-architecture/blob/master/draft-ietf-mls-architecture.md <https://github.com/mlswg/mls-architecture/blob/master/draft-ietf-mls-architecture.md>
[3] https://github.com/mlswg/mls-protocol/blob/master/draft-ietf-mls-protocol.md <https://github.com/mlswg/mls-protocol/blob/master/draft-ietf-mls-protocol.md>
[4] https://github.com/mlswg/mls-federation/blob/federation-import/draft-ietf-mls-federation.md <https://github.com/mlswg/mls-federation/blob/federation-import/draft-ietf-mls-federation.md>